Description: add GCC hardening
Author: Joao Eriberto Mota Filho <eriberto@debian.org>
Last-Update: 2022-07-14
Index: ldap2dns/Makefile
===================================================================
--- ldap2dns.orig/Makefile
+++ ldap2dns/Makefile
@@ -3,10 +3,10 @@ VERSION=0.3.1
 RELEASE=1
 CC=gcc -O2
 CCDEBUG=gcc -g
-CFLAGS=$(INC) -DVERSION='"$(VERSION)"'
+CFLAGS+=$(INC) -DVERSION='"$(VERSION)"'
 LIBS=-lldap -llber
 LD=gcc 
-LDFLAGS=
+LDFLAGS+=
 INSTALL_PREFIX=
 PREFIXDIR=$(INSTALL_PREFIX)/usr
 LDAPCONFDIR=$(INSTALL_PREFIX)/etc/ldap
@@ -25,10 +25,10 @@ ldap2dns-dbg: ldap2dns.o-dbg $(LIBS)
 	$(LD) $(LDFLAGS) -o $@ $+
 
 ldap2dns.o: ldap2dns.c
-	$(CC) $(CFLAGS) -c $< -o $@
+	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -c $< -o $@
 
 ldap2dns.o-dbg: ldap2dns.c
-	$(CCDEBUG) $(CFLAGS) -c $< -o $@
+	$(CCDEBUG) $(CFLAGS) $(CPPFLAGS) -c $< -o $@
 
 install: all
 	mkdir -p $(PREFIXDIR)/bin
